package com.ibtp.kontor.tradingcards.dal;

import com.ibtp.kontor.tradingcards.entity.InsertEntity;

import java.util.Collection;
import java.util.List;

/**
 * Created by TPEETZ on 27.01.2015.
 */
interface InsertDao {

    public InsertEntity getById(Long id);

    public Collection<InsertEntity> findByIds(List<Long> ids);

    public Collection<InsertEntity> findByName(String name);

    public InsertEntity store(InsertEntity entity);

    public void delete(InsertEntity entity);
}
